Questions sur l'installation et la configuration de Manjaro Linux.
Répondre

[Aur] Application d'un patch sur un paquet PERL

#1Messageil y a 1 semaine

Bonjour,
Je tente d'installer le paquet fusioninventory-agent présent dans AUR.
Mais celui-ci échoue à cause de l'erreur suivante :
t/22transparent.t ......... Can't connect to the proxy at t/Utils.pm line 101.
Le bug est connu et les commentaires AUR du paquet perl-http-proxy indiquent qu'il faut appliquer le patch présent à l'adresse https://rt.cpan.org/Public/Bug/Display.html?id=120275

Je crois comprendre qu'il faut utiliser la commande patch mais mes essais sont sans succès.
Quelqu'un sait-il comment je peux appliquer ce patch ? Sur quel fichier ?
Dernière modification par Erwan le 15 Jan 2020, 10:35, modifié 1 fois.
Raison :paquet Aur

[Aur] Application d'un patch sur un paquet PERL

#2Messageil y a 1 semaine

Bonjour.
Ce paquet contient déjà un patch, mais il a été marqué <obsolete> depuis le 12 septembre dernier.
Il faudrait contacter le mainteneur chez Aur. Sinon, il faudra repartir sur un PKGBUILD maison, mais bonjour la prise de tête :shock:

[Aur] Application d'un patch sur un paquet PERL

#3Messageil y a 1 semaine

Bonjour lemust83,
Merci pour ta réponse.
Le lien que tu indiques semble pointer sur un patch pour le paquet fusioninventory-agent-git.
Mon but est d'installer ce paquet, mais ce qui m'en empêche, c'est l'installation de la dépendance perl-http-proxy. C'est ce paquet qui provoque une erreur.
Ceci dit, tu as raison, ces deux paquets AUR sont marqués <obsolete>.

Dès que j'en trouverai le temps, j'essaierai d'insérer l'application du patch à l'intérieur du PKGBUILD de perl-http-proxy. Si ça ne fonctionne pas, j'abandonnerai l'installation du client fusioninventory sur ma machine.

[Aur] Application d'un patch sur un paquet PERL

#4Messageil y a 5 jours

Hello,
Rien à faire, le patch passe bien mais l'installation de perl-http-proxy échoue.
J'abandonne :pleure:

Répondre